2011-2013
Khronos Group.
glMinSampleShading
3G

# glMinSampleShading

specifies minimum rate at which sample shaing takes place

## C Specification

                    void glMinSampleShading
                    GLfloat value

## Parameters

`value`

  Specifies the rate at which samples are shaded within each covered pixel.

## Description

`glMinSampleShading` specifies the rate at which samples are shaded within a covered pixel. Sample-rate shading is enabled by calling glEnable with the parameter `GL_SAMPLE_SHADING`. If `GL_MULTISAMPLE` or `GL_SAMPLE_SHADING` is disabled, sample shading has no effect. Otherwise, an implementation must provide at least as many unique color values for each covered fragment as specified by `value` times `samples` where `samples` is the value of `GL_SAMPLES` for the current framebuffer. At least 1 sample for each covered fragment is generated.

A `value` of 1.0 indicates that each sample in the framebuffer should be indpendently shaded. A `value` of 0.0 effectively allows the GL to ignore sample rate shading. Any value between 0.0 and 1.0 allows the GL to shade only a subset of the total samples within each covered fragment. Which samples are shaded and the algorithm used to select that subset of the fragment's samples is implementation dependent.

## Notes

The type of the `value` parameter was changed from GLclampf to GLfloat. This change is transparent to user code and is described in detail on the removedTypes page.

## Errors

None.

## Associated Gets

glGet with argument `GL_MIN_SAMPLE_SHADING`.

glGet with argument `GL_SAMPLES`.

## See Also

removedTypes

## Copyright

Copyright 2011-2013 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.